Bug 602389 - pvmove produces scary error message on normal exit
pvmove produces scary error message on normal exit
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 14:41 EDT by Clint Byrum
Modified: 2013-02-28 23:09 EST (History)
9 users (show)

See Also:
Fixed In Version: lvm2-2.02.82-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A crude bug fix that would prevent the erroneous error message. (764 bytes, text/plain)
2010-06-09 14:41 EDT, Clint Byrum
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 591475 None None None Never

  None (edit)
Description Clint Byrum 2010-06-09 14:41:00 EDT
Created attachment 422647 [details]
A crude bug fix that would prevent the erroneous error message.

Description of problem:

pvmove relies on polldaemon.c:_wait_for_single_lv() to read the percentage complete on the mirror that is used to do the pvmove. However, the mirror goes away sometimes while this program is running, presumably in between init_full_scan_done(0) and locking the volume group. This would appear to be a race condition, so it only happens sometimes.

When the problem occurs, a user gets something like this printed out:

  /dev/sde1: Moved: 99.6%
  ABORTING: Can't find mirror LV in homedirs for /dev/sde1

This is very confusing, as the user may think that the pvmove operation failed.

Version-Release number of selected component (if applicable):

2.02.54, code appears similar in 2.02.67

How reproducible:

As this is a race condition, it does not always happen. However users have reported it happening with enough frequency to cause alarm as the error message

Steps to reproduce:

assuming /dev/sdb has two equal sized partitions of at least 10G

Setup:
pvcreate /dev/sdb1
pvcreate /dev/sdb2
vgcreate test /dev/sdb1 /dev/sdb2
lvcreate -L 9G -n t1 test /dev/sdb1

Then repeat these in an alternating manner:

pvmove -i1 /dev/sdb1
pvmove -i1 /dev/sdb2

It may take many iterations to reproduce the race, or it may never reproduce it, as other factors may be necessary to make it more likely (such as many more physical volumes).
  
Actual results:


Expected results:

I would expect that if the pvmove completes successfully, that pvmove would show that fact rather than abort.

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-09 14:52:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Bryn M. Reeves 2010-06-10 06:42:10 EDT
Comment on attachment 422647 [details]
A crude bug fix that would prevent the erroneous error message.

Fix mime type on attachment.
Comment 6 Milan Broz 2011-01-19 17:42:20 EST
I sent this patch to fix the issue:
https://www.redhat.com/archives/lvm-devel/2011-January/msg00133.html
Comment 7 Milan Broz 2011-01-19 18:13:16 EST
Fix in upstream lvm 2.02.82.
Comment 9 Corey Marthaler 2011-04-04 18:21:07 EDT
I didn't see any 'ABORT' messages in the pvmove regression test output. Marking verified in the latest rpms.

2.6.32-128.el6.x86_64

lvm2-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
lvm2-libs-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
lvm2-cluster-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
udev-147-2.35.el6    BUILT: Wed Mar 30 07:32:05 CDT 2011
device-mapper-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-libs-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-event-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-event-libs-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
cmirror-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
Comment 10 errata-xmlrpc 2011-05-19 10:26:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0772.html

Note You need to log in before you can comment on or make changes to this bug.